import java.awt.Color;
import java.awt.Graphics;

public class ScorePad extends Hole
{
  private int          value;
  private PinballFrame world;

  public ScorePad( int x, int y, int v, PinballFrame w )
  {
    super( x, y );
    value = v;
    world = w;
    setColor( Color.red );
  }

  public void hitBy( Pinball aBall )
  {
    world.addScore( value );
  }

  public void paint( Graphics g )
  {
    g.setColor( color() );
    g.drawOval( region().x, region().y, region().width, region().height );
    String s = "" + value;
    g.drawString( s, region().x, y()+2 );
  }
}
